Next: SPARC Options, Previous: SH Options, Up: Submodel Options

#### 3.19.50 Solaris 2 Options

These ``-m`' options are supported on Solaris 2:

`-mclear-hwcap`
  `-mclear-hwcap` tells the compiler to remove the hardware capabilities generated by the Solaris assembler. This is only necessary when object files use ISA extensions not supported by the current machine, but check at runtime whether or not to use them.
`-mimpure-text`
  `-mimpure-text`, used in addition to `-shared`, tells the compiler to not pass `-z text` to the linker when linking a shared object. Using this option, you can link position-dependent code into a shared object.

  `-mimpure-text` suppresses the “relocations remain against allocatable but non-writable sections” linker error message. However, the necessary relocations trigger copy-on-write, and the shared object is not actually shared across processes. Instead of using `-mimpure-text`, you should compile all source code with `-fpic` or `-fPIC`.

These switches are supported in addition to the above on Solaris 2:

`-pthreads`
  This is a synonym for `-pthread`.